package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[微信消息类型]
 */
@Component("ionicdemo_WXMsgTypeCodeList")
public class WXMsgTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_WXMsgType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("text");
		item0.setId("text");
		item0.setText("text");
		item0.setLabel("text");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("text",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("image");
		item1.setId("image");
		item1.setText("image");
		item1.setLabel("image");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("image",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("voice");
		item2.setId("voice");
		item2.setText("voice");
		item2.setLabel("voice");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("voice",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("video");
		item3.setId("video");
		item3.setText("video");
		item3.setLabel("video");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("video",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("location");
		item4.setId("location");
		item4.setText("location");
		item4.setLabel("location");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("location",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("link");
		item5.setId("link");
		item5.setText("link");
		item5.setLabel("link");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("link",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("event");
		item6.setId("event");
		item6.setText("event");
		item6.setLabel("event");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("event",item6);
		CodeItem item7 = new CodeItem();
		item7.setValue("simplenews");
		item7.setId("simplenews");
		item7.setText("单一图文（无图片）");
		item7.setLabel("单一图文（无图片）");
		codeItemList.add(item7);
		codeList.getCodeItemModelMap().put("simplenews",item7);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}